Bug 9316 - powerpc-rtems/extending multilibs
Summary: powerpc-rtems/extending multilibs
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: unknown
: P3 enhancement
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-14 21:36 UTC by corsepiu
Modified: 2003-07-25 17:33 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
gcc-3.2.1-rtems-ppc.diff (1.61 KB, application/octet-stream)
2003-05-21 15:17 UTC, corsepiu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description corsepiu 2003-01-14 21:36:00 UTC
Per Joel's request: Request for merger with he FSF's gcc.

The patch from the attachment extends powerpc-rtems-gcc multilibs to RTEMS demands and is required to build RTEMS for the powerpc.

It has been part of OAR's powerpc-rtems-gcc-3.2.1 toolchain for quite some time and should be applied to all branches of gcc (patch cut against gcc-3.2.1).

Release:
unknown
Comment 1 Joel Sherrill 2003-01-30 14:03:43 UTC
From: joel@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/9316
Date: 30 Jan 2003 14:03:43 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_2-branch
 Changes by:	joel@gcc.gnu.org	2003-01-30 14:03:42
 
 Modified files:
 	gcc            : ChangeLog config.gcc 
 	gcc/config/rs6000: rtems.h sysv4.h 
 Added files:
 	gcc/config/rs6000: t-rtems 
 
 Log message:
 	2003-01-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 	
 	PR target/9316
 	* config/rs6000/rtems.h: Add CPP_OS_DEFAULT_SPEC.
 	* config/rs6000/sysv4.h: Add CPP_OS_RTEMS_SPEC.
 	* config/rs6000/t-rtems: New file. multilib variants to match OS.
 	* config.gcc (powerpc-*-rtems*): Use rs6000/t-rtems instead of
 	rs6000/t-ppcgas so we get the desired multilibs.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.13152.2.657.2.202&r2=1.13152.2.657.2.203
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config.gcc.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.167.2.23.2.3&r2=1.167.2.23.2.4
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/rs6000/t-rtems.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=NONE&r2=1.1.2.1
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/rs6000/rtems.h.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.13.2.1&r2=1.13.2.1.4.1
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/rs6000/sysv4.h.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.84.2.3.4.3&r2=1.84.2.3.4.4
 

Comment 2 Joel Sherrill 2003-01-30 14:10:53 UTC
From: joel@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/9316
Date: 30 Jan 2003 14:10:53 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_3-branch
 Changes by:	joel@gcc.gnu.org	2003-01-30 14:10:53
 
 Modified files:
 	gcc            : ChangeLog config.gcc 
 	gcc/config/rs6000: rtems.h sysv4.h 
 Added files:
 	gcc/config/rs6000: t-rtems 
 
 Log message:
 	2003-01-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 	
 	PR target/9316
 	* config/rs6000/rtems.h: Add CPP_OS_DEFAULT_SPEC.
 	* config/rs6000/sysv4.h: Add CPP_OS_RTEMS_SPEC.
 	* config/rs6000/t-rtems: New file. multilib variants to match OS.
 	* config.gcc (powerpc-*-rtems*): Use rs6000/t-rtems instead of
 	rs6000/t-ppcgas so we get the desired multilibs.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.16114.2.134&r2=1.16114.2.135
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config.gcc.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.266.2.2&r2=1.266.2.3
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/rs6000/t-rtems.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=NONE&r2=1.1.4.1
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/rs6000/rtems.h.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.15&r2=1.15.14.1
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/rs6000/sysv4.h.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.113&r2=1.113.4.1
 

Comment 3 Joel Sherrill 2003-01-30 14:22:54 UTC
From: joel@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/9316
Date: 30 Jan 2003 14:22:54 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Changes by:	joel@gcc.gnu.org	2003-01-30 14:22:54
 
 Modified files:
 	gcc            : ChangeLog config.gcc 
 	gcc/config/rs6000: rtems.h 
 
 Log message:
 	2003-01-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 	
 	PR target/9316
 	* config/rs6000/rtems.h: Add CPP_OS_DEFAULT_SPEC.
 	* config/rs6000/sysv4.h: Add CPP_OS_RTEMS_SPEC.
 	* config/rs6000/t-rtems: New file. multilib variants to match OS.
 	* config.gcc (powerpc-*-rtems*): Use rs6000/t-rtems instead of
 	rs6000/t-ppcgas so we get the desired multilibs.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=1.16573&r2=1.16574
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config.gcc.diff?cvsroot=gcc&r1=1.279&r2=1.280
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/rs6000/rtems.h.diff?cvsroot=gcc&r1=1.15&r2=1.16
 
Comment 4 Joel Sherrill 2003-01-30 14:34:28 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Patch applied to the 3.2 branch, 3.3 branch, and head.